Debian Bug report logs - #697253
ITP: ruby-aruba -- Cucumber extension for CLI applications

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Thu, 3 Jan 2013 03:42:04 UTC

Owned by: Hideki Yamane <henrich@debian.org>

Severity: wishlist

Fixed in version ruby-aruba/0.5.1-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Thu, 03 Jan 2013 03:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Thu, 03 Jan 2013 03:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org
Subject: ITP: ruby-aruba -- Cucumber extension for CLI applications
Date: Thu, 3 Jan 2013 12:39:28 +0900
Package: wnpp
Severity: wishlist
Owner: Hideki Yamane <henrich@debian.org>
X-Debbugs-CC: debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org

   Package name: ruby-aruba
        Version: 0.5.1
Upstream Author: "Aslak Hellesøy", "David Chelimsky", "Mike Sassak", "Matt Wynne"
            URL: http://github.com/cucumber/aruba
        License: MIT
                 
Description: Cucumber extension for CLI applications
 Aruba is Cucumber extension for Command line applications written in any
 programming language. Features at a glance:
 .
  * Test any command line application
  * Manipulate the file system
  * Create great HTML documentation based on your own Cucumber scenarios

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Thu, 03 Jan 2013 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Thu, 03 Jan 2013 08:24:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 697253@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#697253: ITP: ruby-aruba -- Cucumber extension for CLI applications
Date: Thu, 3 Jan 2013 09:20:56 +0100
On Thu, Jan 03, 2013 at 12:39:28PM +0900, Hideki Yamane wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Hideki Yamane <henrich@debian.org>
> X-Debbugs-CC: debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org
> 
>    Package name: ruby-aruba
>         Version: 0.5.1
> Upstream Author: "Aslak Hellesøy", "David Chelimsky", "Mike Sassak", "Matt Wynne"
>             URL: http://github.com/cucumber/aruba
>         License: MIT
>                  
> Description: Cucumber extension for CLI applications
>  Aruba is Cucumber extension for Command line applications written in any

What's cucumber? (apart from the vegetable...)

>  programming language. Features at a glance:
>  .
>   * Test any command line application
>   * Manipulate the file system
>   * Create great HTML documentation based on your own Cucumber scenarios
> 
> -- 
> Regards,
> 
>  Hideki Yamane     henrich @ debian.or.jp/org
>  http://wiki.debian.org/HidekiYamane
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian..org
> Archive: http://lists.debian.org/20130103123928.e7ccb096464208406c95c557@debian.or.jp
> 
> 

-- 
Copyshops should do vouchers. So that next time some bureaucracy requires you
to mail a form in triplicate, you can mail it just once, add a voucher, and
save on postage.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Thu, 03 Jan 2013 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Thu, 03 Jan 2013 08:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Thu, 03 Jan 2013 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Thu, 03 Jan 2013 11:42:03 GMT) Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Wouter Verhelst <wouter@debian.org>, 697253@bugs.debian.org
Cc: 697253@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#697253: ITP: ruby-aruba -- Cucumber extension for CLI applications
Date: Thu, 3 Jan 2013 20:39:19 +0900
Hi,

On Thu, 3 Jan 2013 09:20:56 +0100
Wouter Verhelst <wouter@debian.org> wrote:
> > Description: Cucumber extension for CLI applications
> >  Aruba is Cucumber extension for Command line applications written in any
> 
> What's cucumber? (apart from the vegetable...)

 It's testing framework written in Ruby.

$ apt-cache show cucumber
Package: cucumber
(snip)
Description-en: acceptance testing framework
 Cucumber lets software development teams describe how software should behave
 in plain text. The text is written in a business-readable domain-specific
 language and serves as documentation, automated tests and development-aid -
 all rolled into one format.

 Could you suggest any improvement for ruby-aruba's description?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Thu, 03 Jan 2013 11:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Thu, 03 Jan 2013 11:42:07 GMT) Full text and rfc822 format available.

Added indication that bug 697253 blocks 702343 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Tue, 05 Mar 2013 13:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Tue, 05 Mar 2013 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <praveen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Tue, 05 Mar 2013 13:24:03 GMT) Full text and rfc822 format available.

Message #32 received at 697253@bugs.debian.org (full text, mbox):

From: Praveen A <praveen@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 697253@bugs.debian.org
Subject: Are you still working on this package?
Date: Tue, 5 Mar 2013 18:51:47 +0530
Hi Hideki,

I need this package as a dependency for appraisal. Should I take it?

Thanks
Praveen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Tue, 05 Mar 2013 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Tue, 05 Mar 2013 14:27:03 GMT) Full text and rfc822 format available.

Message #37 received at 697253@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Praveen A <praveen@debian.org>
Cc: 697253@bugs.debian.org
Subject: Re: Are you still working on this package?
Date: Tue, 5 Mar 2013 23:24:31 +0900
Control: block 697253 by 695984

On Tue, 5 Mar 2013 18:51:47 +0530
Praveen A <praveen@debian.org> wrote:
> I need this package as a dependency for appraisal. Should I take it?

 Oh, I forgot to set block to BTS and upload it... sorry, now I've put to 
 NEW queue. (it needs ruby-bcat (#695984), still in there NEW queue, too).

 Please forgive me for my laziness. Praveen ;)

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Added blocking bug(s) of 697253: 695984 Request was from Hideki Yamane <henrich@debian.or.jp> to 697253-submit@bugs.debian.org. (Tue, 05 Mar 2013 14:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Tue, 05 Mar 2013 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <praveen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Tue, 05 Mar 2013 15:15:03 GMT) Full text and rfc822 format available.

Message #44 received at 697253@bugs.debian.org (full text, mbox):

From: Praveen A <praveen@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 697253@bugs.debian.org
Subject: Re: Are you still working on this package?
Date: Tue, 5 Mar 2013 20:40:42 +0530
2013/3/5 Hideki Yamane <henrich@debian.or.jp>:
>  Oh, I forgot to set block to BTS and upload it... sorry, now I've put to
>  NEW queue. (it needs ruby-bcat (#695984), still in there NEW queue, too).

Thanks :)

>  Please forgive me for my laziness. Praveen ;)

No issues :)



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 19:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Fri, 03 May 2013 11:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Fri, 03 May 2013 11:39:12 GMT) Full text and rfc822 format available.

Message #51 received at 697253@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 697253@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.org>, Cédric Boutillier <cedric.boutillier@gmail.com>
Subject: Re: [DRE-maint] ruby-aruba_0.5.1-1_amd64.changes REJECTED
Date: Fri, 3 May 2013 17:06:13 +0530
2013/3/19 Ansgar Burchardt <ftpmaster@debian.org>:
>
> Hi,
>
> the source for templates/js/jquery-1.6.1.min.js is missing. In addition the

This package does not install templates. Should it be installed in
/usr/share/docs?

Cedric, another case similar to bootstrap-sass I think (not all files
getting installed - though not sure if this can be handled
generically, at least it should be mentioned somewhere by gem2deb -
about directories in the gem not getting installed and prompt for
manual installation).

ruby-http-connection has an example of linking to libjs-jquery instead
of using the embedded jquery library. I'm not sure about handling
version though, as debian has 1.7.2+dfsg-1 version and aruba links to
1.6.1

> copyright and license information for templates/images/* is missing (note that
> the files are also licensed under CC-BY 3.0, see the link included in LICENSE).

this needs creation a file for attribution.
--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697253; Package wnpp. (Fri, 10 May 2013 14:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Fri, 10 May 2013 14:33:08 GMT) Full text and rfc822 format available.

Message #56 received at 697253@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 697253@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.org>, Cédric Boutillier <cedric.boutillier@gmail.com>
Subject: Re: [DRE-maint] ruby-aruba_0.5.1-1_amd64.changes REJECTED
Date: Fri, 10 May 2013 20:00:23 +0530
I fixed these issues and uploaded ruby-aruba
--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Sat, 18 May 2013 13:03:35 GMT) Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. (Sat, 18 May 2013 13:03:35 GMT) Full text and rfc822 format available.

Message #61 received at 697253-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 697253-close@bugs.debian.org
Subject: Bug#697253: fixed in ruby-aruba 0.5.1-1
Date: Sat, 18 May 2013 13:00:07 +0000
Source: ruby-aruba
Source-Version: 0.5.1-1

We believe that the bug you reported is fixed in the latest version of
ruby-aruba, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697253@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-aruba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 15 Dec 2012 11:08:34 +0900
Source: ruby-aruba
Binary: ruby-aruba
Architecture: source all
Version: 0.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-aruba - Cucumber extension for CLI applications
Closes: 697253
Changes: 
 ruby-aruba (0.5.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #697253)
 .
   [ Hideki Yamane ]
 .
   * Initial packaging
Checksums-Sha1: 
 7987dd47743b584eb8cc53613ce23ba3e4d066a3 2176 ruby-aruba_0.5.1-1.dsc
 f381fed7557ec040fe537888c545f004bb027656 64121 ruby-aruba_0.5.1.orig.tar.gz
 229d9fc02516199c4405f004cda90da54a3d2a97 4016 ruby-aruba_0.5.1-1.debian.tar.gz
 c435afa5a4c9e5b908f6a14f294cf76a65bc72f3 26430 ruby-aruba_0.5.1-1_all.deb
Checksums-Sha256: 
 4e12b7adbc1efc5919ccd8b0e522c9bea54812705dab7e91e60f9141ef94b87c 2176 ruby-aruba_0.5.1-1.dsc
 ad990330ed21cac86e3238ba5fcf7a49f1cbadc258c6b512cf6ac077af5d3bc0 64121 ruby-aruba_0.5.1.orig.tar.gz
 7bd4954c4c2735f148f4dad0925173f65de9e73a5fcf8123e35291a19e884268 4016 ruby-aruba_0.5.1-1.debian.tar.gz
 75868074950a2ea19dc041c481a81a79f0cf12922fd1139c7a8f9ad19e90c2ac 26430 ruby-aruba_0.5.1-1_all.deb
Files: 
 ebd51cc8a938a36f4fc83f15ab90c813 2176 ruby optional ruby-aruba_0.5.1-1.dsc
 c4682d6037943f3ded9f2e315edaf1bf 64121 ruby optional ruby-aruba_0.5.1.orig.tar.gz
 ff28ea717ba87ff88738af62ef8aa46d 4016 ruby optional ruby-aruba_0.5.1-1.debian.tar.gz
 0915bb25deb357071ef1bbca382657d7 26430 ruby optional ruby-aruba_0.5.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRjQRpAAoJEM4fnGdFEsIqM2QP/iQiXPBJbd5t6fC+4zXjgYlH
/D0fqZf4KqV6PNUIqirvOd8/bMHWrG5PJDJUzjxisqR58y32DVG649fbgcBVnlct
b328OpPwyzaMpn+iWpD/uOVEDiWMu0GihxOSPJpBDjrBbrqf2BJK2jHZfio7nZLR
KX18J2HaPYOkdCQtY09hZ7hsilS4z7hm3sn734EfPLDboKINc8np5xyXqj4rU4wX
P0ThSZ7LNX0xjB5jbVQB2zm5rV8etIkBdhDUKO+F2FlStDnppzJsArY9V6GaeOJu
5KCbOo9UbQETFArmnxKPnc2xTYxrhd213LxmnNjEbvvQ/FnWWpbiM16Pme8icXiQ
hN5D1/LGrnh/lMWjq+CQc680xUaZdlyKuSHeQPmQXxnoq0lxieGU7t2WFu5VsuzU
diac75hjWPFv2UMGhvbpGjbYDWSYhKnriDJPFZdODyaeXiNDsfvMFT9eKMZq+SeC
b9KIn+2v1tmFWz8G/ivxLP06F48/62dy8RFEeEvTeC8JjkzfGQXw3WsZi3ABiXA3
R5xFvX3QMjF/hNI7aYW/PT513ydqvFHZdLgAF2LtA/6GvCejJQSNlIopumHrGzju
79ClnTacoIoI1CaeubHtQ+XqE6dmf/5iqd7CWOIHpv3GpF+z55ff8h3BuuAUt1v+
xUiag2GqTDNk7JQN9Vig
=2Thg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Jun 2013 07:32:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:28:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.